# RollOffMode

## Overview

RollOffMode is an Enum that defines how sound is attenuated based on the distance between a sound source (BasePart or Attachment) and the player.

This is used in the RollOffMode property of Sound and controls how the volume of 3D sound decreases with distance.

## Items

| Name           | Value | Description                                                                                                             |
| -------------- | ----- | ----------------------------------------------------------------------------------------------------------------------- |
| Inverse        | 0     | Simulates realistic sound attenuation using the inverse distance relationship.                                          |
| Linear         | 1     | Fades out sound linearly between RollOffMinDistance and RollOffMaxDistance.                                             |
| LinearSquare   | 2     | Similar to Linear, but fades out faster using inverse square distance relationship.                                     |
| InverseTapered | 3     | Combines the inverse relationship near the RollOffMinDistance and uses squared linear fade near the RollOffMaxDistance. |

## Options

| Name           | Value | Description                                                                                                             |
| -------------- | ----- | ----------------------------------------------------------------------------------------------------------------------- |
| Inverse        | 0     | Simulates realistic sound attenuation using the inverse distance relationship.                                          |
| Linear         | 1     | Fades out sound linearly between RollOffMinDistance and RollOffMaxDistance.                                             |
| LinearSquare   | 2     | Similar to Linear, but fades out faster using inverse square distance relationship.                                     |
| InverseTapered | 3     | Combines the inverse relationship near the RollOffMinDistance and uses squared linear fade near the RollOffMaxDistance. |

## See also

{% content-ref url="/pages/UhdOm8eGTPeE23MapXTz" %}
[Sound](/development/api-reference/classes/sound.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overdare.com/development/api-reference/enums/rolloffmode.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
